## Create Pipeline `client.pipelines.createV1(PipelineCreateV1Paramsparams, RequestOptionsoptions?): PipelineCreateV1Response` **post** `/accounts/{account_id}/pipelines/v1/pipelines` Create a new Pipeline. ### Parameters - `params: PipelineCreateV1Params` - `account_id: string` Path param: Specifies the public ID of the account. - `name: string` Body param: Specifies the name of the Pipeline. - `sql: string` Body param: Specifies SQL for the Pipeline processing flow. ### Returns - `PipelineCreateV1Response` - `id: string` Indicates a unique identifier for this pipeline. - `created_at: string` - `modified_at: string` - `name: string` Indicates the name of the Pipeline. - `sql: string` Specifies SQL for the Pipeline processing flow. - `status: string` Indicates the current status of the Pipeline. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.pipelines.createV1({ account_id: '0123105f4ecef8ad9ca31a8372d0c353', name: 'my_pipeline', sql: 'insert into sink select * from source;', }); console.log(response.id); ``` #### Response ```json { "result": { "id": "01234567890123457689012345678901", "created_at": "created_at", "modified_at": "modified_at", "name": "my_pipeline", "sql": "insert into sink select * from source;", "status": "status" }, "success": true } ```